---
title: "Get brand"
url: "https://docs.signnow.com/docs/general-branding/operations/get-v2-brands-brand_id"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/get-v2-brands-brand_id"
method: "GET"
path: "/v2/brands/{brand_id}"
operation_id: "get-v2-brands-brand_id"
authorization: "bearer"
---

# Get brand

`GET /v2/brands/{brand_id}`

This endpoint allows users to get information about one brand.

Note: to view a brand, you need to own it.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Responses

### 200

Success

**Example** (`example-1`)

```json
{
  "data": {
    "title": "Sample brand",
    "resources": {
      "logo": {
        "data": {
          "original": "https://example.com/v2/brands/3bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/logo"
        },
        "link": "https://example.com/v2/brands/3bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/logo"
      },
      "general": {
        "icons": {
          "color": "#de4991",
          "border": "#ffffff",
          "background": "#f59758",
          "hover-color": "#94074b",
          "hover-border": "#ffffff",
          "hover-background": "#b85c1f"
        },
        "texts": {
          "color": "#080605"
        },
        "header": {
          "background": "#edaa53"
        },
        "buttons": {
          "default": {
            "color": "#de4991",
            "border": "#ffffff",
            "background": "#f59758",
            "hover-color": "#94074b",
            "active-color": "#520128",
            "hover-border": "#ffffff",
            "active-border": "#ffffff",
            "hover-background": "#b85c1f",
            "active-background": "#913c03"
          },
          "primary": {
            "color": "#de4991",
            "border": "#ffffff",
            "background": "#f59758",
            "hover-color": "#94074b",
            "active-color": "#520128",
            "hover-border": "#ffffff",
            "active-border": "#ffffff",
            "hover-background": "#b85c1f",
            "active-background": "#913c03"
          },
          "dropdown": {
            "color": "#de4991",
            "border": "#ffffff",
            "background": "#f59758",
            "hover-color": "#94074b",
            "active-color": "#520128",
            "hover-border": "#ffffff",
            "active-border": "#ffffff",
            "hover-background": "#b85c1f",
            "active-background": "#913c03"
          },
          "secondary": {
            "color": "#de4991",
            "border": "#ffffff",
            "background": "#f59758",
            "hover-color": "#94074b",
            "active-color": "#520128",
            "hover-border": "#ffffff",
            "active-border": "#ffffff",
            "hover-background": "#b85c1f",
            "active-background": "#913c03"
          }
        }
      }
    },
    "unique_id": "3bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
  }
}
```

### 400

Incorrect or missing token

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The bearer token is valid but it belongs to another user.
* The user is authorized with a token from an app they don’t own.


**Example** (`Another user's token`)

```json
{
  "code": 25002075,
  "message": "Brand assign to provided application is not allowed."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

### 404

* Brand with this `brand_id` doesn't exist
* Missing or incorrect `brand_id`

**Example** (`Brand doesn't exist`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Missing or incorrect brand_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/brand/null"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/brands/{brand_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/get-v2-brands-brand_id*
